Enable or Disable Agent Channel
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
agent_id*Agent Id
Format
uuidchannel_id*Channel Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/channels/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "enabled": true }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "string", "label": "string", "enabled": true, "status": "string", "status_detail": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}